// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 55;
	objects = {

/* Begin PBXBuildFile section */
		6401BFAC28FAF34000B86E04 /* NotificationCE.appex in Embed App Extensions */ = {isa = PBXBuildFile; fileRef = 64CEC4A7284C96F200165152 /* NotificationCE.appex */; settings = {ATTRIBUTES = (RemoveHeadersOnCopy, ); }; };
		6401BFB128FAF4FD00B86E04 /* Simulater_SE.apns in Resources */ = {isa = PBXBuildFile; fileRef = 6401BFAF28FAF4FD00B86E04 /* Simulater_SE.apns */; };
		6401BFB228FAF4FD00B86E04 /* Simulater_CE.apns in Resources */ = {isa = PBXBuildFile; fileRef = 6401BFB028FAF4FD00B86E04 /* Simulater_CE.apns */; };
		6414B0BC28FB035E006DE442 /* WWLog in Frameworks */ = {isa = PBXBuildFile; productRef = 6414B0BB28FB035E006DE442 /* WWLog */; };
		6414B0C428FB0513006DE442 /* NotificationService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 6414B0C328FB0513006DE442 /* NotificationService.swift */; };
		6414B0C828FB0513006DE442 /* NotificationSE.appex in Embed App Extensions */ = {isa = PBXBuildFile; fileRef = 6414B0C128FB0513006DE442 /* NotificationSE.appex */; settings = {ATTRIBUTES = (RemoveHeadersOnCopy, ); }; };
		644BCD6D2904E0A50074A13A /* ダイ.png in Resources */ = {isa = PBXBuildFile; fileRef = 644BCD6C2904E0A50074A13A /* ダイ.png */; };
		644BCD6F2904E3C80074A13A /* Constant.swift in Sources */ = {isa = PBXBuildFile; fileRef = 644BCD6E2904E3C80074A13A /* Constant.swift */; };
		644BCD712904E8790074A13A /* 小呆.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 644BCD702904E8790074A13A /* 小呆.jpg */; };
		64CEC481284C8EF000165152 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 64CEC480284C8EF000165152 /* AppDelegate.swift */; };
		64CEC488284C8EF000165152 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 64CEC486284C8EF000165152 /* Main.storyboard */; };
		64CEC48A284C8EF200165152 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 64CEC489284C8EF200165152 /* Assets.xcassets */; };
		64CEC48D284C8EF200165152 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 64CEC48B284C8EF200165152 /* LaunchScreen.storyboard */; };
		64CEC495284C8F4100165152 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 64CEC494284C8F4100165152 /* ViewController.swift */; };
		64CEC49D284C92F100165152 /* Utility.swift in Sources */ = {isa = PBXBuildFile; fileRef = 64CEC49C284C92F100165152 /* Utility.swift */; };
		64CEC4A1284C942000165152 /* Extension+.swift in Sources */ = {isa = PBXBuildFile; fileRef = 64CEC4A0284C942000165152 /* Extension+.swift */; };
		64CEC4AA284C96F200165152 /* UserNotifications.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 64CEC4A9284C96F200165152 /* UserNotifications.framework */; };
		64CEC4AC284C96F200165152 /* UserNotificationsUI.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 64CEC4AB284C96F200165152 /* UserNotificationsUI.framework */; };
		64CEC4AF284C96F200165152 /* NotificationViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 64CEC4AE284C96F200165152 /* NotificationViewController.swift */; };
		64CEC4B2284C96F200165152 /* MainInterface.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 64CEC4B0284C96F200165152 /* MainInterface.storyboard */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		6401BFAD28FAF34000B86E04 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 64CEC475284C8EF000165152 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 64CEC4A6284C96F200165152;
			remoteInfo = NotificationCE;
		};
		6414B0C628FB0513006DE442 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 64CEC475284C8EF000165152 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 6414B0C028FB0513006DE442;
			remoteInfo = NotificationSE;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXCopyFilesBuildPhase section */
		64CEC4BA284C96F200165152 /* Embed App Extensions */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "";
			dstSubfolderSpec = 13;
			files = (
				6401BFAC28FAF34000B86E04 /* NotificationCE.appex in Embed App Extensions */,
				6414B0C828FB0513006DE442 /* NotificationSE.appex in Embed App Extensions */,
			);
			name = "Embed App Extensions";
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		6401BFAF28FAF4FD00B86E04 /* Simulater_SE.apns */ = {isa = PBXFileReference; lastKnownFileType = text; name = Simulater_SE.apns; path = RichPushNotification/Utility/Simulater_SE.apns; sourceTree = SOURCE_ROOT; };
		6401BFB028FAF4FD00B86E04 /* Simulater_CE.apns */ = {isa = PBXFileReference; lastKnownFileType = text; name = Simulater_CE.apns; path = RichPushNotification/Utility/Simulater_CE.apns; sourceTree = SOURCE_ROOT; };
		6414B0C128FB0513006DE442 /* NotificationSE.appex */ = {isa = PBXFileReference; explicitFileType = "wrapper.app-extension"; includeInIndex = 0; path = NotificationSE.appex; sourceTree = BUILT_PRODUCTS_DIR; };
		6414B0C328FB0513006DE442 /* NotificationService.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NotificationService.swift; sourceTree = "<group>"; };
		6414B0C528FB0513006DE442 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		644BCD6C2904E0A50074A13A /* ダイ.png */ = {isa = PBXFileReference; lastKnownFileType = image.png; path = "ダイ.png"; sourceTree = "<group>"; };
		644BCD6E2904E3C80074A13A /* Constant.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Constant.swift; sourceTree = "<group>"; };
		644BCD702904E8790074A13A /* 小呆.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = "小呆.jpg"; sourceTree = "<group>"; };
		64CEC47D284C8EF000165152 /* RichPushNotification.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = RichPushNotification.app; sourceTree = BUILT_PRODUCTS_DIR; };
		64CEC480284C8EF000165152 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		64CEC487284C8EF000165152 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		64CEC489284C8EF200165152 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		64CEC48C284C8EF200165152 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		64CEC48E284C8EF200165152 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		64CEC494284C8F4100165152 /* ViewController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		64CEC49A284C918F00165152 /* RichPushNotification.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = RichPushNotification.entitlements; sourceTree = "<group>"; };
		64CEC49C284C92F100165152 /* Utility.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Utility.swift; sourceTree = "<group>"; };
		64CEC4A0284C942000165152 /* Extension+.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Extension+.swift"; sourceTree = "<group>"; };
		64CEC4A7284C96F200165152 /* NotificationCE.appex */ = {isa = PBXFileReference; explicitFileType = "wrapper.app-extension"; includeInIndex = 0; path = NotificationCE.appex; sourceTree = BUILT_PRODUCTS_DIR; };
		64CEC4A9284C96F200165152 /* UserNotifications.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = UserNotifications.framework; path = System/Library/Frameworks/UserNotifications.framework; sourceTree = SDKROOT; };
		64CEC4AB284C96F200165152 /* UserNotificationsUI.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = UserNotificationsUI.framework; path = System/Library/Frameworks/UserNotificationsUI.framework; sourceTree = SDKROOT; };
		64CEC4AE284C96F200165152 /* NotificationViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NotificationViewController.swift; sourceTree = "<group>"; };
		64CEC4B1284C96F200165152 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/MainInterface.storyboard; sourceTree = "<group>"; };
		64CEC4B3284C96F200165152 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		6414B0BE28FB0513006DE442 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		64CEC47A284C8EF000165152 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				6414B0BC28FB035E006DE442 /* WWLog in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		64CEC4A4284C96F200165152 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				64CEC4AC284C96F200165152 /* UserNotificationsUI.framework in Frameworks */,
				64CEC4AA284C96F200165152 /* UserNotifications.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		6414B0C228FB0513006DE442 /* NotificationSE */ = {
			isa = PBXGroup;
			children = (
				6414B0C328FB0513006DE442 /* NotificationService.swift */,
				6414B0C528FB0513006DE442 /* Info.plist */,
			);
			path = NotificationSE;
			sourceTree = "<group>";
		};
		64CEC474284C8EF000165152 = {
			isa = PBXGroup;
			children = (
				64CEC47F284C8EF000165152 /* RichPushNotification */,
				64CEC4AD284C96F200165152 /* NotificationCE */,
				6414B0C228FB0513006DE442 /* NotificationSE */,
				64CEC4A8284C96F200165152 /* Frameworks */,
				64CEC47E284C8EF000165152 /* Products */,
			);
			sourceTree = "<group>";
		};
		64CEC47E284C8EF000165152 /* Products */ = {
			isa = PBXGroup;
			children = (
				64CEC47D284C8EF000165152 /* RichPushNotification.app */,
				64CEC4A7284C96F200165152 /* NotificationCE.appex */,
				6414B0C128FB0513006DE442 /* NotificationSE.appex */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		64CEC47F284C8EF000165152 /* RichPushNotification */ = {
			isa = PBXGroup;
			children = (
				64CEC498284C903300165152 /* Setting */,
				64CEC499284C904100165152 /* Material */,
				64CEC49B284C92DB00165152 /* Utility */,
				64CEC497284C902500165152 /* Storyboard */,
				64CEC496284C901B00165152 /* ViewController */,
				64CEC480284C8EF000165152 /* AppDelegate.swift */,
			);
			path = RichPushNotification;
			sourceTree = "<group>";
		};
		64CEC496284C901B00165152 /* ViewController */ = {
			isa = PBXGroup;
			children = (
				64CEC494284C8F4100165152 /* ViewController.swift */,
			);
			path = ViewController;
			sourceTree = "<group>";
		};
		64CEC497284C902500165152 /* Storyboard */ = {
			isa = PBXGroup;
			children = (
				64CEC486284C8EF000165152 /* Main.storyboard */,
				64CEC48B284C8EF200165152 /* LaunchScreen.storyboard */,
			);
			path = Storyboard;
			sourceTree = "<group>";
		};
		64CEC498284C903300165152 /* Setting */ = {
			isa = PBXGroup;
			children = (
				64CEC49A284C918F00165152 /* RichPushNotification.entitlements */,
				64CEC48E284C8EF200165152 /* Info.plist */,
			);
			name = Setting;
			sourceTree = "<group>";
		};
		64CEC499284C904100165152 /* Material */ = {
			isa = PBXGroup;
			children = (
				644BCD702904E8790074A13A /* 小呆.jpg */,
				644BCD6C2904E0A50074A13A /* ダイ.png */,
				6401BFB028FAF4FD00B86E04 /* Simulater_CE.apns */,
				6401BFAF28FAF4FD00B86E04 /* Simulater_SE.apns */,
				64CEC489284C8EF200165152 /* Assets.xcassets */,
			);
			path = Material;
			sourceTree = "<group>";
		};
		64CEC49B284C92DB00165152 /* Utility */ = {
			isa = PBXGroup;
			children = (
				64CEC49C284C92F100165152 /* Utility.swift */,
				644BCD6E2904E3C80074A13A /* Constant.swift */,
				64CEC4A0284C942000165152 /* Extension+.swift */,
			);
			path = Utility;
			sourceTree = "<group>";
		};
		64CEC4A8284C96F200165152 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				64CEC4A9284C96F200165152 /* UserNotifications.framework */,
				64CEC4AB284C96F200165152 /* UserNotificationsUI.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		64CEC4AD284C96F200165152 /* NotificationCE */ = {
			isa = PBXGroup;
			children = (
				64CEC4AE284C96F200165152 /* NotificationViewController.swift */,
				64CEC4B0284C96F200165152 /* MainInterface.storyboard */,
				64CEC4B3284C96F200165152 /* Info.plist */,
			);
			path = NotificationCE;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		6414B0C028FB0513006DE442 /* NotificationSE */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 6414B0C928FB0513006DE442 /* Build configuration list for PBXNativeTarget "NotificationSE" */;
			buildPhases = (
				6414B0BD28FB0513006DE442 /* Sources */,
				6414B0BE28FB0513006DE442 /* Frameworks */,
				6414B0BF28FB0513006DE442 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = NotificationSE;
			productName = NotificationSE;
			productReference = 6414B0C128FB0513006DE442 /* NotificationSE.appex */;
			productType = "com.apple.product-type.app-extension";
		};
		64CEC47C284C8EF000165152 /* RichPushNotification */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 64CEC491284C8EF200165152 /* Build configuration list for PBXNativeTarget "RichPushNotification" */;
			buildPhases = (
				64CEC479284C8EF000165152 /* Sources */,
				64CEC47A284C8EF000165152 /* Frameworks */,
				64CEC47B284C8EF000165152 /* Resources */,
				64CEC4BA284C96F200165152 /* Embed App Extensions */,
			);
			buildRules = (
			);
			dependencies = (
				6401BFAE28FAF34000B86E04 /* PBXTargetDependency */,
				6414B0C728FB0513006DE442 /* PBXTargetDependency */,
			);
			name = RichPushNotification;
			packageProductDependencies = (
				6414B0BB28FB035E006DE442 /* WWLog */,
			);
			productName = RichPushNotification;
			productReference = 64CEC47D284C8EF000165152 /* RichPushNotification.app */;
			productType = "com.apple.product-type.application";
		};
		64CEC4A6284C96F200165152 /* NotificationCE */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 64CEC4B7284C96F200165152 /* Build configuration list for PBXNativeTarget "NotificationCE" */;
			buildPhases = (
				64CEC4A3284C96F200165152 /* Sources */,
				64CEC4A4284C96F200165152 /* Frameworks */,
				64CEC4A5284C96F200165152 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = NotificationCE;
			productName = NotificationCE;
			productReference = 64CEC4A7284C96F200165152 /* NotificationCE.appex */;
			productType = "com.apple.product-type.app-extension";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		64CEC475284C8EF000165152 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1400;
				LastUpgradeCheck = 1340;
				TargetAttributes = {
					6414B0C028FB0513006DE442 = {
						CreatedOnToolsVersion = 14.0.1;
					};
					64CEC47C284C8EF000165152 = {
						CreatedOnToolsVersion = 13.4.1;
					};
					64CEC4A6284C96F200165152 = {
						CreatedOnToolsVersion = 13.4.1;
					};
				};
			};
			buildConfigurationList = 64CEC478284C8EF000165152 /* Build configuration list for PBXProject "RichPushNotification" */;
			compatibilityVersion = "Xcode 13.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 64CEC474284C8EF000165152;
			packageReferences = (
				6414B0BA28FB035E006DE442 /* XCRemoteSwiftPackageReference "WWLog" */,
			);
			productRefGroup = 64CEC47E284C8EF000165152 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				64CEC47C284C8EF000165152 /* RichPushNotification */,
				64CEC4A6284C96F200165152 /* NotificationCE */,
				6414B0C028FB0513006DE442 /* NotificationSE */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		6414B0BF28FB0513006DE442 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		64CEC47B284C8EF000165152 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				6401BFB128FAF4FD00B86E04 /* Simulater_SE.apns in Resources */,
				644BCD712904E8790074A13A /* 小呆.jpg in Resources */,
				64CEC48D284C8EF200165152 /* LaunchScreen.storyboard in Resources */,
				644BCD6D2904E0A50074A13A /* ダイ.png in Resources */,
				64CEC48A284C8EF200165152 /* Assets.xcassets in Resources */,
				6401BFB228FAF4FD00B86E04 /* Simulater_CE.apns in Resources */,
				64CEC488284C8EF000165152 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		64CEC4A5284C96F200165152 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				64CEC4B2284C96F200165152 /* MainInterface.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		6414B0BD28FB0513006DE442 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				6414B0C428FB0513006DE442 /* NotificationService.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		64CEC479284C8EF000165152 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				64CEC495284C8F4100165152 /* ViewController.swift in Sources */,
				64CEC481284C8EF000165152 /* AppDelegate.swift in Sources */,
				644BCD6F2904E3C80074A13A /* Constant.swift in Sources */,
				64CEC49D284C92F100165152 /* Utility.swift in Sources */,
				64CEC4A1284C942000165152 /* Extension+.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		64CEC4A3284C96F200165152 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				64CEC4AF284C96F200165152 /* NotificationViewController.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		6401BFAE28FAF34000B86E04 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 64CEC4A6284C96F200165152 /* NotificationCE */;
			targetProxy = 6401BFAD28FAF34000B86E04 /* PBXContainerItemProxy */;
		};
		6414B0C728FB0513006DE442 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 6414B0C028FB0513006DE442 /* NotificationSE */;
			targetProxy = 6414B0C628FB0513006DE442 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		64CEC486284C8EF000165152 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				64CEC487284C8EF000165152 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		64CEC48B284C8EF200165152 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				64CEC48C284C8EF200165152 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
		64CEC4B0284C96F200165152 /* MainInterface.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				64CEC4B1284C96F200165152 /* Base */,
			);
			name = MainInterface.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		6414B0CA28FB0513006DE442 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = F43WUF44B2;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = NotificationSE/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = NotificationSE;
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = idv.william.RichPushNotification.NotificationSE;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		6414B0CB28FB0513006DE442 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = F43WUF44B2;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = NotificationSE/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = NotificationSE;
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = idv.william.RichPushNotification.NotificationSE;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		64CEC48F284C8EF200165152 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++17";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		64CEC490284C8EF200165152 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++17";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		64CEC492284C8EF200165152 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_ENTITLEMENTS = RichPushNotification/RichPushNotification.entitlements;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 20220605;
				DEVELOPMENT_TEAM = F43WUF44B2;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = RichPushNotification/Info.plist;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UIMainStoryboardFile = Main;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UIUserInterfaceStyle = Light;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0.0;
				PRODUCT_BUNDLE_IDENTIFIER = idv.william.RichPushNotification;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator";
				SUPPORTS_MACCATALYST = NO;
				SUPPORTS_MAC_DESIGNED_FOR_IPHONE_IPAD = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Debug;
		};
		64CEC493284C8EF200165152 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_ENTITLEMENTS = RichPushNotification/RichPushNotification.entitlements;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 20220605;
				DEVELOPMENT_TEAM = F43WUF44B2;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = RichPushNotification/Info.plist;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UIMainStoryboardFile = Main;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UIUserInterfaceStyle = Light;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0.0;
				PRODUCT_BUNDLE_IDENTIFIER = idv.william.RichPushNotification;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator";
				SUPPORTS_MACCATALYST = NO;
				SUPPORTS_MAC_DESIGNED_FOR_IPHONE_IPAD = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Release;
		};
		64CEC4B8284C96F200165152 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 20220605;
				DEVELOPMENT_TEAM = F43WUF44B2;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = NotificationCE/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = NotificationCE;
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				MARKETING_VERSION = 1.0.0;
				PRODUCT_BUNDLE_IDENTIFIER = idv.william.RichPushNotification.NotificationCE;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Debug;
		};
		64CEC4B9284C96F200165152 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 20220605;
				DEVELOPMENT_TEAM = F43WUF44B2;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = NotificationCE/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = NotificationCE;
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				MARKETING_VERSION = 1.0.0;
				PRODUCT_BUNDLE_IDENTIFIER = idv.william.RichPushNotification.NotificationCE;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		6414B0C928FB0513006DE442 /* Build configuration list for PBXNativeTarget "NotificationSE" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				6414B0CA28FB0513006DE442 /* Debug */,
				6414B0CB28FB0513006DE442 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		64CEC478284C8EF000165152 /* Build configuration list for PBXProject "RichPushNotification" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				64CEC48F284C8EF200165152 /* Debug */,
				64CEC490284C8EF200165152 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		64CEC491284C8EF200165152 /* Build configuration list for PBXNativeTarget "RichPushNotification" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				64CEC492284C8EF200165152 /* Debug */,
				64CEC493284C8EF200165152 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		64CEC4B7284C96F200165152 /* Build configuration list for PBXNativeTarget "NotificationCE" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				64CEC4B8284C96F200165152 /* Debug */,
				64CEC4B9284C96F200165152 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCRemoteSwiftPackageReference section */
		6414B0BA28FB035E006DE442 /* XCRemoteSwiftPackageReference "WWLog" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/William-Weng/WWLog";
			requirement = {
				kind = upToNextMinorVersion;
				minimumVersion = 1.0.0;
			};
		};
/* End XCRemoteSwiftPackageReference section */

/* Begin XCSwiftPackageProductDependency section */
		6414B0BB28FB035E006DE442 /* WWLog */ = {
			isa = XCSwiftPackageProductDependency;
			package = 6414B0BA28FB035E006DE442 /* XCRemoteSwiftPackageReference "WWLog" */;
			productName = WWLog;
		};
/* End XCSwiftPackageProductDependency section */
	};
	rootObject = 64CEC475284C8EF000165152 /* Project object */;
}
